- [HTTP request](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#body.PATH_PARAMETERS)
- [Query parameters](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#body.QUERY_PARAMETERS)
- [Request body](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#body.request_body)
- [Response body](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#body.response_body)
  - [JSON representation](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#body.FetchItemReviewsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#body.aspect)
- [Review](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#Review)
  - [JSON representation](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#Review.SCHEMA_REPRESENTATION)
- [AuthorInfo](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#AuthorInfo)
  - [JSON representation](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#AuthorInfo.SCHEMA_REPRESENTATION)
- [Try it!](https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#try-it)

Fetch user reviews for an item.

### HTTP request

`GET https://chromewebstore.googleapis.com/v2/{name=publishers/*/items/*}:fetchReviews`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The item resource name whose reviews are being fetched. Format: publishers/{publisher_id}/items/{itemId} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of reviews to return. The service may return fewer than this value. If unspecified, at most 50 reviews will be returned. The maximum value is 200; values above 200 will be coerced to 200. |
| `pageToken` | `string` Optional. A page token, received from a previous `items.fetchReviews` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `items.fetchReviews` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the reviews. Only equality comparison on rating is supported, e.g. `rating = 5`. |
| `orderBy` | `string` Optional. An optional comma-separated list of fields by which to sort the results. The default sort order is ascending (`asc`). Supported fields are: - `rating`: Supported orders are `asc` (default) and `desc`. - `createTime`: Only `desc` (most recent first) is supported; `desc` must be explicitly specified since the default is `asc`. Example: `rating desc`, `createTime desc`, or `rating desc, createTime desc`. |

### Request body

The request body must be empty.

### Response body

Response message for items.fetchReviews.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reviews": [ { object (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#Review`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `reviews[]` | ``object (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#Review`)`` The list of reviews. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chromewebstore`
- `
  https://www.googleapis.com/auth/chromewebstore.readonly`

## Review

A review written by a user to rate an item in the Chrome Web Store.

| JSON representation |
|---|
| ``` { "name": string, "item": string, "authorInfo": { object (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#AuthorInfo`) }, "rating": integer, "comment": string, "createTime": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. Review resource name. Format: reviews/{reviewId} |
| `item` | `string` Output only. The item that this review evaluates. Format: publishers/{publisher}/items/{item} |
| `authorInfo` | ``object (`https://developer.chrome.com/docs/webstore/api/reference/rest/v2/publishers.items/fetchReviews#AuthorInfo`)`` Info on the author of the review. |
| `rating` | `integer` Rating of the item, between 1 and 5. |
| `comment` | `string` Content of the review. |
| `createTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. When the review was posted. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

## AuthorInfo

Info on the author of the review.

| JSON representation |
|---|
| ``` { "displayName": string } ``` |

| Fields ||
|---|---|
| `displayName` | `string` Display name for the author. |